from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XSessionManagerListener(XEventListener, Protocol):
    def doSave(self, bShutdown: bool, bCancelable: bool) -> None: ...
    def approveInteraction(self, bInteractionGranted: bool) -> None: ...
    def shutdownCanceled(self) -> None: ...
    def doRestore(self) -> bool: ...
